import Session from '../Services/Identity/Session';
import { InventoryResponse } from './Inventory.consts';
export default class Inventory {
    private inventory;
    constructor(session: Session);
    get(id: number): Promise<InventoryResponse>;
    create(inventory: Partial<Bringg.Inventory>): Promise<InventoryResponse>;
    update(id: number, inventory: Partial<Bringg.Inventory>): Promise<InventoryResponse>;
    delete(id: number): Promise<boolean>;
}
